# Uses of Interface
org.eclipse.jdt.debug.core.IJavaPatternBreakpoint

Packages that use IJavaPatternBreakpoint
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaPatternBreakpoint in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaPatternBreakpoint
Modifier and Type
Method
Description
`static IJavaPatternBreakpoint`
JDIDebugModel.`createPatternBreakpoint(org.eclipse.core.resources.IResource resource, String sourceName, String pattern, int lineNumber, int charStart, int charEnd, int hitCount, boolean register, Map<String,Object> attributes)`
Deprecated.
use `createStratumBreakpoint` instead